Subject: bug#59947: 30.0.50; Underline of tab-bar face does not respect x-underline-at-descent-line

From: Juri Linkov <[email-masked]>
Date: Sun, 11 Dec 2022 19:12:24 +0200

> Note: I am not sure why the underline and overline of tab-bar face are
> not extended as in tab-line.  I tried many approaches (e.g. using
> :extend t, using other tab-bar-* faces, tweaking tab-line-format etc)
> but nothing worked for me.  Perhaps it's something related to the bug
> reported here.

To extend the tab-bar you could just add tab-bar-format-align-right
to the end of tab-bar-format.